Subject: Re: [Extra] Warren Kumari's No Objection on draft-ietf-extra-imap-objectid-06: (with COMMENT)

From: Bron Gondwana <[email-masked]>
Date: Tue, 31 Jul 2018 23:07:39 +1000

On Tue, Jul 31, 2018, at 03:56, Warren Kumari wrote:
> On Mon, Jul 30, 2018 at 12:59 PM Alexey Melnikov
> <[email-masked]> wrote:
>> 
>> Hi Warren,
>> 
>> On 30/07/2018 17:52, Warren Kumari wrote:
>>> ----------------------------------------------------------------
>>> ------>>> COMMENT:
>>> ----------------------------------------------------------------
>>> ------>>> 
>>> Thank you for writing this - I'm really not an IMAP person, but the
>>> document>>> seems to me to be useful and clear.
>>> 
>>> I do have a question - this is either for my education or something
>>> that needs>>> fixing / clarification :-) Section 4.  MAILBOXID object identifier
>>> "The server>>> SHOULD NOT change MAILBOXID when renaming a folder, as this loses
>>> the main>>> benefit of having a unique identifier." All of the above things in
>>> this section>>> talk about keeping the MAILBOXID the same when doing things to the
>>> **mailbox**,>>> this one instead talks about **folder**; what is the difference
>>> between mailbox>>> and folder? I did spend some time looking and found: "IMAP4rev1
>>> permits>>> manipulation of mailboxes (remote message folders) in a way that is>>> functionally equivalent to local folders." (RFC3501) - this didn't
>>> enlighten me>>> much :-) Are the terms interchangeable here? If so, I'd suggest
>>> sticking with>>> one term. (Again, I'm not an IMAP person, this may all be obvious
>>> to those>>> schooled in the art )
>> Folder and mailbox mean the same thing.
> 
> Excellent, thank you - see, I learnt something :-)
> 
>> RFC 3501 was using "mailbox".
>> Users like to talk about "folders". I wish we can just make everybody>> use the same term, but that is not going to work ;-).
>> I agree that consistent terminology would be good.
> 
> Indeed.
> W

Thanks for your review.  I've removed folder and changed it to mailbox
since the objectid is called MAILBOXID so clearly mailbox is the
correct term :)
Cheers,

Bron.

--
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]